;このファイルはSOD専用プラグインの設定です。
;サイト固有の動作を専用プラグインで制御しているため、この設定だけでは変更できない処理があります。

[generic]

;サイトの名称。画面上のボタンの名称として使用。
SiteName=SOD
;最初のURL。年齢認証の画面を出すことができるページであること。
TopPage=https://ec.sod.co.jp/prime/

;年齢認証のはい/YESのURLを判定するための正規表現。検出された最初のURLに変遷することで認証を通す。
SODAgeCheckURL=.*/_ontime.php.*

;サイト固有の型番生成
;ProductCodePrepareScript=

;===== 検索URL。{PRODUCTCODE}は検索対象の型番に置き換えられる。
;      複数定義した場合はすべて実行される。
;      値名は任意だが数字を推奨、名前にかかわらず記述順。
[search]
1=https://ec.sod.co.jp/prime/videos/genre/?search_type=1&sodsearch={PRODUCTCODE}


;以下、タイトル情報の抽出にかかわる設定。
;場所にかかわらず、正規表現で以下の名称を返すと最後にマッチした文字列で更新される。
;productcode      : 型番
;seller           : 販売者、メーカー
;label            : レーベル
;title            : 作品タイトル
;series           : シリーズ名称
;releasedate      : 発売日
;url              : 作品情報の詳細URL
;thumburl         : パッケージ画像(サムネイル)
;pkgimgurl        : パッケージ画像(保存対象)

;ただし、以下の名称は複数あることを前提として列挙される
;cast        : 出演者

;===== 検索結果からタイトル情報を抽出する。ここでurlを抽出しない場合、タイトル詳細ページには変遷しないので注意
; セクション名はTitleList.xx (xx部分は[Search]で指定した値名)。存在しなければTitleListを使用する。

[TitleList.1]

;検索結果から必要な部分のみを切り出したい場合に指定する。不要なら空欄
BodyFilter=id="videos_search_main"(.*?)class="clear"
;検索結果からタイトル情報を抽出するための正規表現。
Regex=class="videis_s_img".*?src="(?<thumburl>[^"]*?)".*?class="videis_s_txt".*?href="(?<url>[^"]*?)".*?>(?<title>[^<]*?)<
;次のページへのリンクを抽出する正規表現。{PAGENO}は次のページ番号に置換される。
NextPage=href="([^"]*page={PAGENO}[^"]*)"
;開始ページ番号。指定がなければ1から始まる
StartPageNum=0

;===== 作品情報の詳細に対する正規表現
; 複数記述した場合、すべて実行される。順序は記述順となる。値名は正整数であれば任意。連番である必要はなく記述順。
; セクション名の数字(.1～.99)を増やせば複数定義できるので、ジャンルや種類ごとに画面構成が異なる場合に個別判定が定義できる。
; ただしMarkerで判定対象を識別すること。Markerで一致するセクションが複数ある場合それぞれで判定が行われる
; Markerの判定対象はBodyFilterの適用前。
[Title.1]

; マーカーなし
;Marker=
; 画像部分の切り出し
BodyFilter=class="videos_samimg"(.*?)</div>
; パッケージ画像
1=href="(?<pkgimgurl>[^"]*?[0-9]*_l.jpg)"

[Title.2]

; マーカーなし
;Marker=
; タイトル詳細の切り出し。型番～レーベルについては1行でも記述可能だが、ページ構成が変わってもそのまま使えることを期待して個別
BodyFilter=id="v_introduction"(.*?)</table>
; 型番
1=品番.*?<td[^>]*?>(?<productcode>[^<]*)<
;発売日
2=発売年月日.*?<td[^>]*?>(?<releasedate>[^<]*)<
;シリーズ
3=シリーズ名.*?<a[^>]*?>(?<series>[^<]*)<
;メーカー
4=メーカー.*?<a[^>]*?>(?<seller>[^<]*)<
;レーベル
5=レーベル.*?<td[^>]*?>(?<label>[^<]*)<
;出演者
6=actress.*?>(?<cast>[^<]*?)<\/a>
;ジャンル
7=/genre/\?genre.*?>(?<genre>[^<]*?)<\/a>
